<?php
namespace Claromentis\Search\ItemType;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_fa0ea3ff" . "84d62d9eb" . "5c8e215ce" . "912e57" => base64_decode("YW5" . "k"), "_3c260f3beb2f5" . "33c7abcfe6f979" . "3aae3" => base64_decode("eW" . "Vz"), "_900d48ade8c2df0520" . "b76de5ee405224" => base64_decode("dGV" . "ybX" . "M="), "_3429a564f3319bcce4277c" . "92b566301a" => base64_decode("aW50cmFuZXR1" . "c2Vy"), "_9aa1db89206e80c571adeb0f95f4" . "75a9" => base64_decode("ZXh0cmFuZXRfYXJlY" . "V9pZA=="));
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\QueryBuildUtil;






class User implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\User();
    }
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        if ($context->GetUserId() < 1) {
            return QueryBuildUtil::MatchNone();
        }
        if (!$context->IsPrimaryExtranet()) {
            $filter = [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_fa0ea3ff84d62d9eb5c8e215" . "ce912e57"] => [[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_900d48ade" . "8c2df0520b" . "76de5ee405" . "224"] => [$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_9aa1db89206e80c571adeb0f9" . "5f475a9"] => [$context->GetExtranetAreaId(), \UserExtranetArea::GetPrimaryId()]]], [$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_900d48ade8c2" . "df0520b76de5e" . "e405224"] => [$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_3429a564f3319bcce4277" . "c92b566301a"] => [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_3c260f3beb2f533c7abcfe6f9793" . "aae3"]]]]]];
            return $filter;
        } else {
            $filter = [$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_900d48ade8c2df0520b76de5ee405" . "224"] => [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_3429a564f3319bc" . "ce4277c92b566301" . "a"] => [$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_3c260f3beb2f533" . "c7abcfe6f9793aae" . "3"]]]];
            return $filter;
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\User();
    }
}